Bug 596459 (CVE-2010-1414) - CVE-2010-1414 WebKit: use-after-free vulnerability in handling of the removeChild DOM method
Summary: CVE-2010-1414 WebKit: use-after-free vulnerability in handling of the removeC...
Status: CLOSED WONTFIX
Alias: CVE-2010-1414
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 19:13 UTC by Vincent Danen
Modified: 2016-03-04 11:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 08:17:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 19:13:33 UTC
A use after free issue exists in WebKit's handling of the removeChild DOM method. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of child element removal.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35818
Trac: http://trac.webkit.org/changeset/55783

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Mark Dowd of Azimuth Security as the original reporter.

Comment 5 Jan Lieskovsky 2010-06-08 16:45:25 UTC
Public via:
  [1] http://support.apple.com/kb/HT419


Note You need to log in before you can comment on or make changes to this bug.